Bug 127905 - science/gramps: installation and runtime problems with gramps-3.0.1
Summary: science/gramps: installation and runtime problems with gramps-3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-06 18:40 UTC by mrkvrg
Modified: 2009-01-07 20:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mrkvrg 2008-10-06 18:40:01 UTC
gramps-3.0.1-1 does not install or run properly

Running make from ports produces the following error message:

  "config.status: WARNING: gramps.sh.in seems to ignore the --datarootdir setting"

The error message that is produced at run time depends on the window manager being used.  Using csh within xterm to start gramps produces the following messages:

Using KDE-3.5.10 or TWM:

  "Upgrading INI file"
  "Bus error"

Using Gnome-2.22.3:

   "Upgrading INI file"
   "/usr/local/libexec/gramps.py: No such file or directory"
   "Killed"

After searching my disk I did found gramps.py; but it was located in /usr/local/share/

Any help to resolve this problem would be greatly appreciated.

How-To-Repeat: Normal port installation.
Comment 1 Edwin Groothuis freebsd_committer 2008-10-07 01:28:47 UTC
Maintainer of science/gramps,

Please note that PR ports/127905 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127905

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-10-07 01:28:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Anders Troback 2008-10-11 18:40:10 UTC
Upgrade to 3.0.2 is on it's way!
Comment 4 Stefan Walter freebsd_committer 2008-12-12 15:42:22 UTC
Hi Anders,

any news on this? According to the project's home page, version 3.0.4 is
available.

Best regards,
Stefan
Comment 5 Stefan Walter freebsd_committer 2008-12-17 17:16:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 6 Anders Troback 2008-12-17 22:29:03 UTC
The port of version 3.0.4 is ready and will be submitted real soon!
Comment 7 Stefan Walter freebsd_committer 2008-12-18 07:54:47 UTC
Anders Troback, 17.12.08, 23:50h CET:

> The port of version 3.0.4 is ready and will be submitted real soon!

OK, please send a followup to this PR and reference the PR containing the
update so its progress can be tracked easily. Thanks!

Regards,
Stefan
Comment 8 Anders Troback 2008-12-19 14:29:01 UTC
Upgrade to version 3.0.4!


diff -ruN gramps_org/Makefile gramps/Makefile
--- gramps_org/Makefile	2008-07-14 14:57:56.000000000 +0000
+++ gramps/Makefile	2008-12-10 11:41:48.000000000 +0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/science/gramps/Makefile,v 1.34 2008/07/14 14:57:56 tabthorpe Exp $
 
 PORTNAME=	gramps
-PORTVERSION=	3.0.1
+PORTVERSION=	3.0.4
 CATEGORIES=	science gnome python
 MASTER_SITES=	SF
 
@@ -15,7 +15,7 @@
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/_bsddb.so:${PORTSDIR}/databases/py-bsddb \
 		${PYTHON_LIBDIR}/site-packages/_xmlplus/__init__.py:${PORTSDIR}/textproc/py-xml
 
-USE_BDB=	42+
+USE_BDB=	43
 USE_XLIB=	yes
 USE_PYTHON=	yes
 USE_GETTEXT=	yes
diff -ruN gramps_org/distinfo gramps/distinfo
--- gramps_org/distinfo	2008-07-08 18:29:58.000000000 +0000
+++ gramps/distinfo	2008-12-09 15:07:53.000000000 +0000
@@ -1,3 +1,3 @@
-MD5 (gramps-3.0.1.tar.gz) = 95109ffa408bd16870885b4627f357ae
-SHA256 (gramps-3.0.1.tar.gz) = 5492e8766ef17286ca23ac60bc6c262a07c0669646d1b7c103bf28f4f2032605
-SIZE (gramps-3.0.1.tar.gz) = 5932971
+MD5 (gramps-3.0.4.tar.gz) = 7d27020f391ba333b8a9bd490e5bf56e
+SHA256 (gramps-3.0.4.tar.gz) = cca1262bb4e15fd018342c49bbe07a1cac96b1307bffdff10c34f3c1518fd792
+SIZE (gramps-3.0.4.tar.gz) = 5830725
diff -ruN gramps_org/pkg-plist gramps/pkg-plist
--- gramps_org/pkg-plist	2008-07-08 18:29:58.000000000 +0000
+++ gramps/pkg-plist	2008-12-10 13:35:06.000000000 +0000
@@ -95,6 +95,9 @@
 %%DATADIR%%/DateHandler/_DateUtils.py
 %%DATADIR%%/DateHandler/_DateUtils.pyc
 %%DATADIR%%/DateHandler/_DateUtils.pyo
+%%DATADIR%%/DateHandler/_Date_ca.py
+%%DATADIR%%/DateHandler/_Date_ca.pyc
+%%DATADIR%%/DateHandler/_Date_ca.pyo
 %%DATADIR%%/DateHandler/_Date_cs.py
 %%DATADIR%%/DateHandler/_Date_cs.pyc
 %%DATADIR%%/DateHandler/_Date_cs.pyo
@@ -110,6 +113,9 @@
 %%DATADIR%%/DateHandler/_Date_fr.py
 %%DATADIR%%/DateHandler/_Date_fr.pyc
 %%DATADIR%%/DateHandler/_Date_fr.pyo
+%%DATADIR%%/DateHandler/_Date_hr.py
+%%DATADIR%%/DateHandler/_Date_hr.pyc
+%%DATADIR%%/DateHandler/_Date_hr.pyo
 %%DATADIR%%/DateHandler/_Date_lt.py
 %%DATADIR%%/DateHandler/_Date_lt.pyc
 %%DATADIR%%/DateHandler/_Date_lt.pyo
@@ -1335,6 +1341,7 @@
 %%DATADIR%%/data/NWeb-Screen_Mainz.css
 %%DATADIR%%/data/NWeb-Screen_Nebraska.css
 %%DATADIR%%/data/NWeb-Screen_Sharp.css
+%%DATADIR%%/data/authors.xml
 %%DATADIR%%/data/gedcom.xml
 %%DATADIR%%/data/lds.xml
 %%DATADIR%%/data/papersize.xml
@@ -1650,18 +1657,32 @@
 %%DATADIR%%/images/16x16/gramps-date.png
 %%DATADIR%%/images/16x16/gramps-event.png
 %%DATADIR%%/images/16x16/gramps-family.png
+%%DATADIR%%/images/16x16/gramps-font-bgcolor.png
+%%DATADIR%%/images/16x16/gramps-font-color.png
+%%DATADIR%%/images/16x16/gramps-font.png
+%%DATADIR%%/images/16x16/gramps-gramplet.png
 %%DATADIR%%/images/16x16/gramps-lock.png
 %%DATADIR%%/images/16x16/gramps-media.png
 %%DATADIR%%/images/16x16/gramps-notes.png
+%%DATADIR%%/images/16x16/gramps-parents-add.png
+%%DATADIR%%/images/16x16/gramps-parents-open.png
 %%DATADIR%%/images/16x16/gramps-parents.png
 %%DATADIR%%/images/16x16/gramps-pedigree.png
 %%DATADIR%%/images/16x16/gramps-person.png
 %%DATADIR%%/images/16x16/gramps-place.png
 %%DATADIR%%/images/16x16/gramps-relation.png
+%%DATADIR%%/images/16x16/gramps-reports.png
 %%DATADIR%%/images/16x16/gramps-repository.png
 %%DATADIR%%/images/16x16/gramps-source.png
 %%DATADIR%%/images/16x16/gramps-spouse.png
+%%DATADIR%%/images/16x16/gramps-tools.png
 %%DATADIR%%/images/16x16/gramps-unlock.png
+%%DATADIR%%/images/16x16/gramps-viewmedia.png
+%%DATADIR%%/images/16x16/gramps-zoom-best-fit.png
+%%DATADIR%%/images/16x16/gramps-zoom-fit-width.png
+%%DATADIR%%/images/16x16/gramps-zoom-in.png
+%%DATADIR%%/images/16x16/gramps-zoom-out.png
+%%DATADIR%%/images/16x16/gramps.png
 %%DATADIR%%/images/22x22/gramps-address.png
 %%DATADIR%%/images/22x22/gramps-attribute.png
 %%DATADIR%%/images/22x22/gramps-bookmark-delete.png
@@ -1672,22 +1693,32 @@
 %%DATADIR%%/images/22x22/gramps-date.png
 %%DATADIR%%/images/22x22/gramps-event.png
 %%DATADIR%%/images/22x22/gramps-family.png
+%%DATADIR%%/images/22x22/gramps-font-bgcolor.png
+%%DATADIR%%/images/22x22/gramps-font-color.png
+%%DATADIR%%/images/22x22/gramps-font.png
+%%DATADIR%%/images/22x22/gramps-gramplet.png
 %%DATADIR%%/images/22x22/gramps-lock.png
 %%DATADIR%%/images/22x22/gramps-media.png
 %%DATADIR%%/images/22x22/gramps-notes.png
+%%DATADIR%%/images/22x22/gramps-parents-add.png
+%%DATADIR%%/images/22x22/gramps-parents-open.png
 %%DATADIR%%/images/22x22/gramps-parents.png
 %%DATADIR%%/images/22x22/gramps-pedigree.png
 %%DATADIR%%/images/22x22/gramps-person.png
 %%DATADIR%%/images/22x22/gramps-place.png
 %%DATADIR%%/images/22x22/gramps-relation.png
+%%DATADIR%%/images/22x22/gramps-reports.png
 %%DATADIR%%/images/22x22/gramps-repository.png
 %%DATADIR%%/images/22x22/gramps-source.png
 %%DATADIR%%/images/22x22/gramps-spouse.png
+%%DATADIR%%/images/22x22/gramps-tools.png
 %%DATADIR%%/images/22x22/gramps-unlock.png
+%%DATADIR%%/images/22x22/gramps-viewmedia.png
 %%DATADIR%%/images/22x22/gramps-zoom-best-fit.png
 %%DATADIR%%/images/22x22/gramps-zoom-fit-width.png
 %%DATADIR%%/images/22x22/gramps-zoom-in.png
 %%DATADIR%%/images/22x22/gramps-zoom-out.png
+%%DATADIR%%/images/22x22/gramps.png
 %%DATADIR%%/images/48x48/gramps-address.png
 %%DATADIR%%/images/48x48/gramps-attribute.png
 %%DATADIR%%/images/48x48/gramps-bookmark-delete.png
@@ -2076,6 +2107,7 @@
 share/icons/gnome/scalable/mimetypes/gnome-mime-application-x-gramps-xml.svg
 share/icons/gnome/scalable/mimetypes/gnome-mime-application-x-gramps.svg
 share/locale/bg/LC_MESSAGES/gramps.mo
+share/locale/ca/LC_MESSAGES/gramps.mo
 share/locale/cs/LC_MESSAGES/gramps.mo
 share/locale/da/LC_MESSAGES/gramps.mo
 share/locale/de/LC_MESSAGES/gramps.mo
@@ -2089,7 +2121,7 @@
 share/locale/lt/LC_MESSAGES/gramps.mo
 share/locale/nb/LC_MESSAGES/gramps.mo
 share/locale/nl/LC_MESSAGES/gramps.mo
-share/locale/no/LC_MESSAGES/gramps.mo
+share/locale/nn/LC_MESSAGES/gramps.mo
 share/locale/pl/LC_MESSAGES/gramps.mo
 share/locale/pt_BR/LC_MESSAGES/gramps.mo
 share/locale/ro/LC_MESSAGES/gramps.mo
@@ -2101,6 +2133,7 @@
 share/locale/zh_CN/LC_MESSAGES/gramps.mo
 share/mime-info/gramps.keys
 share/mime-info/gramps.mime
+share/mime/application/x-gedcom.xml
 share/mime/application/x-geneweb.xml
 share/mime/application/x-gramps-package.xml
 share/mime/application/x-gramps-xml.xml
Comment 9 dfilter service freebsd_committer 2008-12-21 21:07:32 UTC
stefan      2008-12-21 21:07:19 UTC

  FreeBSD ports repository

  Modified files:
    science/gramps       Makefile distinfo pkg-plist 
  Log:
  Update to 3.0.4.
  
  PR:             127905
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.35      +3 -3      ports/science/gramps/Makefile
  1.21      +3 -3      ports/science/gramps/distinfo
  1.24      +34 -1     ports/science/gramps/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Stefan Walter freebsd_committer 2008-12-21 21:09:57 UTC
Hi,

I've just committed Arders's update to version 3.0.4 (with minor additions
to MANLANG to make it deinstall properly).

Marek: Can you please check if the problem you reported can still be
reproduced or if the PR can be closed?

Regards,
Stefan
Comment 11 Stefan Walter freebsd_committer 2009-01-07 20:18:40 UTC
State Changed
From-To: feedback->closed

Submitter timeout, and the port has been updated in the meantime.